<!--
  Generated template for the PaymentPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Payment Transaction</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div *ngFor="let p of payments" style="padding: 10px; line-break: auto; border-radius: 0.4em; border: 1px solid #82EAFE">
    <button [disabled]="p.paid" style="float: right; width: 60px; height: 40px; background-color: #FEE719; border-radius: 0.4em" (click)="payment(p)">{{ p.paid ? "Paid" : "Pay" }}</button>
    <span>
      Model {{ p.makedesc }}
    </span> <br>
    <span>
      Passenger Count: {{ p.passengercount }}
    </span> <br>
    <span>
      Price: {{ p.reqtcost }}
    </span>
  </div>
</ion-content>
